0

I have tried the work found here, but the line below gives me errors, when I run sudo apt-get update.

echo "deb http://archive.raspberrypi.org/debian/ wheezy main" >> /etc/apt/sources.list

What can I do to get the pifacecad installed? Is there a deb package I can get? Or source code?

1

I'm guessing because in the answer to that other question, Octopus was working as root. You need privileges to edit sources.list, and this kind of thing:

sudo echo "whatever" >> /only/root/can/write/file

Won't work because of the >> redirection. The echo runs sudo, but the redirection is done by your shell, which does not. To get around this, you can use:

  • sudoedit on sources.list and add the line.
  • su root, then when you're done, exit.
  • sudo bash, then when you're done, exit.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.